> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Query the status of an asynchronous disk snapshot.

> Get the current status of an asynchronous disk snapshot operation, including whether it is still in progress and any error messages if it failed.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/devboxes/disk_snapshots/{id}/status
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/devboxes/disk_snapshots/{id}/status:
    get:
      tags:
        - Devbox
        - Devbox-PersistenceTools
      summary: Query the status of an asynchronous disk snapshot.
      description: >-
        Get the current status of an asynchronous disk snapshot operation,
        including whether it is still in progress and any error messages if it
        failed.
      operationId: queryDiskSnapshotAsync
      parameters:
        - name: id
          in: path
          description: The Snapshot ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Snapshot status retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevboxSnapshotAsyncStatusView'
        '404':
          description: Snapshot not found.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Runloop from '@runloop/api-client';


            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });


            const devboxSnapshotAsyncStatusView = await
            client.devboxes.diskSnapshots.queryStatus('id');


            console.log(devboxSnapshotAsyncStatusView.status);
        - lang: Python
          source: >-
            import os

            from runloop_api_client import Runloop


            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )

            devbox_snapshot_async_status_view =
            client.devboxes.disk_snapshots.query_status(
                "id",
            )

            print(devbox_snapshot_async_status_view.status)
components:
  schemas:
    DevboxSnapshotAsyncStatusView:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/DevboxSnapshotStatus'
          description: The current status of the snapshot operation.
        snapshot:
          description: The snapshot details if the operation completed successfully.
          anyOf:
            - $ref: '#/components/schemas/DevboxDiskSnapshotView'
            - type: 'null'
        error_message:
          description: Error message if the operation failed.
          type:
            - string
            - 'null'
      required:
        - status
    DevboxSnapshotStatus:
      type: string
      enum:
        - in_progress
        - error
        - complete
        - deleted
    DevboxDiskSnapshotView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the snapshot.
        name:
          description: (Optional) The custom name of the snapshot.
          type:
            - string
            - 'null'
        create_time_ms:
          type: integer
          format: int64
          description: Creation time of the Snapshot (Unix timestamp milliseconds).
        metadata:
          type: object
          additionalProperties:
            type: string
          description: User defined metadata associated with the snapshot.
        source_devbox_id:
          type: string
          description: The source Devbox ID this snapshot was created from.
        source_blueprint_id:
          description: (Optional) The source Blueprint ID this snapshot was created from.
          type:
            - string
            - 'null'
        commit_message:
          description: (Optional) The commit message of the snapshot (max 1000 characters).
          type:
            - string
            - 'null'
        size_bytes:
          format: int64
          description: >-
            (Optional) The size of the snapshot in bytes, relative to the base
            blueprint.
          type:
            - integer
            - 'null'
      required:
        - id
        - create_time_ms
        - metadata
        - source_devbox_id
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````